#include <stdio.h>
#include <stdlib.h>
#include <math.h>
void main(int argc, char *argv[]) {
	int a,b,c,d;
	scanf("%d",&a);
	scanf("%d",&b);
	scanf("%d",&c);
	d=Brojd(a,b,c);
	printf("%d\n",d);
}

int BrojCif(int a)
{
	int i=0;
	while(a!=0)
	{
		a/=10;
		i++;
	}
	return i;
}

int Spoj(int a, int b,int c) {
	int d;
	d=pow(10,BrojCif(b)+BrojCif(c))*a+b*pow(10,BrojCif(c))+c;    
}

int Veci(int a, int b, int c)
{
	if(Spoj(a,b,c) >= Spoj(a,c,b))
	return Spoj(a,b,c);
	else return Spoj(a,c,b);
}

int Brojd(int a, int b, int c)
{
	if(Veci(a,b,c) >= Veci(b,a,c) && Veci(a,b,c) >= Veci(c,a,b)) return Veci(a,b,c);
	else if(Veci(b,a,c) >= Veci(a,b,c) && Veci(b,a,c) >= Veci(c,a,b)) return Veci(b,a,c);
	else if(Veci(c,a,b) >= Veci(a,b,c) && Veci(c,a,b) >= Veci(b,a,c)) return Veci(c,a,b);
}